Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
net::EthInfo_1_0_1 Struct Reference

Ethernet interface info. More...

`import"Net.idl";`

## Public Attributes
EapStatus | eapStatus
| `status` of EAP authentication
EthLinkMode | linkMode
| Current link mode.
boolean | linkModeValid
| `true` if linkMode is valid
boolean | autonegEnabled
| `true` if auto-negotiation is enabled
boolean | linkDetected
| `true` if a link is detected
vector< EthLinkMode > | supportedLinkModes
| Supported link modes.

## Detailed Description

Ethernet interface info.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl